javax.persistence

## Interface AttributeNode<T>

Type Parameters:
  `T` - The type of the attribute.

    public interface AttributeNode<T>

Represents an attribute node of an entity graph.

See Also:
  `EntityGraph`, `Subgraph`, `NamedAttributeNode`
Since:
  Java Persistence 2.1

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getAttributeName()` Return the name of the attribute corresponding to the attribute node.
`java.util.Map<java.lang.Class,Subgraph>` `getKeySubgraphs()` Return the Map<Class, Subgraph> of subgraphs associated with this attribute node's map key.
`java.util.Map<java.lang.Class,Subgraph>` `getSubgraphs()` Return the Map<Class, Subgraph> of subgraphs associated with this attribute node.

### Method Detail

#### getAttributeName

    java.lang.String getAttributeName()

Return the name of the attribute corresponding to the attribute node.

Returns:
  name of the attribute

#### getSubgraphs

    java.util.Map<java.lang.Class,Subgraph> getSubgraphs()

Return the Map<Class, Subgraph> of subgraphs associated with this attribute node.

Returns:
  Map of subgraphs associated with this attribute node or empty Map if none have been defined

#### getKeySubgraphs

    java.util.Map<java.lang.Class,Subgraph> getKeySubgraphs()

Return the Map<Class, Subgraph> of subgraphs associated with this attribute node's map key.

Returns:
  Map of subgraphs associated with this attribute node's map key or empty Map if none have been defined